import { DialogRef } from '@angular/cdk/dialog';
import { FormGroup } from '@angular/forms';
import { FormlyFieldConfig } from '@ngx-formly/core';
import * as i0 from "@angular/core";
export declare class CdkConfirmOptionsComponent<T> {
    readonly data: {
        formFields: FormlyFieldConfig[];
        information: string;
        value: T;
    };
    readonly dialogRef: DialogRef<any, any>;
    isDialogContainer: boolean;
    formGroup: FormGroup<{}>;
    model: {};
    options: {};
    readonly fields: import("@angular/core").WritableSignal<FormlyFieldConfig<import("@ngx-formly/core").FormlyFieldProps & {
        [additionalProperties: string]: any;
    }>[]>;
    constructor();
    onModelChange(event: any): void;
    cancel(): void;
    apply(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CdkConfirmOptionsComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CdkConfirmOptionsComponent<any>, "cdk-confirm-options", never, {}, {}, never, never, true, never>;
}
export declare function injectConfirmOptions(): <T>(info: {
    formFields: FormlyFieldConfig[];
    information?: string;
    value?: T;
}) => import("rxjs").Observable<T>;
